package com.oo.seex.oo_statistics_lib.bean;


import com.oo.seex.oo_statistics_lib.utils.xutils_dbutils.db.annotation.Id;

/**
 * Created by efort on 15/7/31.
 */
public class ActivityStaBean {
    @Id
    private int id;
    private String session_id = "";
    private String start_millis;
    private String end_millis;
    private String version;
    private String activities;
    private String appkey;
    private String userId;
    private Long saveTime;
    private String secrect_key;
//    private String clientdata_id;
    private String device_id;
    private String parent_activity;

    @Override
    public String toString() {
        return "ActivityStaBean{" +
                "id=" + id +
                ", session_id='" + session_id + '\'' +
                ", start_millis='" + start_millis + '\'' +
                ", end_millis='" + end_millis + '\'' +
                ", version='" + version + '\'' +
                ", activities='" + activities + '\'' +
                ", appkey='" + appkey + '\'' +
                ", userId='" + userId + '\'' +
                ", saveTime=" + saveTime +
                ", secrect_key='" + secrect_key + '\'' +
//                ", clientdata_id='" + clientdata_id + '\'' +
                ", parent_activity='" + parent_activity + '\'' +
                ", duration='" + duration + '\'' +
                '}';
    }

    private String duration;

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public String getSession_id() {
        return session_id;
    }

    public void setSession_id(String session_id) {
        this.session_id = session_id;
    }

    public String getStart_millis() {
        return start_millis;
    }

    public void setStart_millis(String start_millis) {
        this.start_millis = start_millis;
    }

    public String getEnd_millis() {
        return end_millis;
    }

    public void setEnd_millis(String end_millis) {
        this.end_millis = end_millis;
    }

    public String getVersion() {
        return version;
    }

    public void setVersion(String version) {
        this.version = version;
    }

    public String getActivities() {
        return activities;
    }

    public void setActivities(String activities) {
        this.activities = activities;
    }

    public String getAppkey() {
        return appkey;
    }

    public void setAppkey(String appkey) {
        this.appkey = appkey;
    }

    public String getDuration() {
        return duration;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public void setDuration(String duration) {
        this.duration = duration;
    }


    public Long getSaveTime() {
        return saveTime;
    }

    public void setSaveTime(Long saveTime) {
        this.saveTime = saveTime;
    }

    public String getSecrect_key() {
        return secrect_key;
    }

    public void setSecrect_key(String secrect_key) {
        this.secrect_key = secrect_key;
    }

//    public String getClientdata_id() {
//        return clientdata_id;
//    }
//
//    public void setClientdata_id(String clientdata_id) {
//        this.clientdata_id = clientdata_id;
//    }

    public String getParent_activity() {
        return parent_activity;
    }

    public void setParent_activity(String parent_activity) {
        this.parent_activity = parent_activity;
    }

    public String getDevice_id() {
        return device_id;
    }

    public void setDevice_id(String device_id) {
        this.device_id = device_id;
    }
}
